Bug 1900685 (CVE-2020-25713) - CVE-2020-25713 raptor2: malformed input file can lead to a segfault due to an out of bounds array access in raptor_xml_writer_start_element_common
Summary: CVE-2020-25713 raptor2: malformed input file can lead to a segfault due to an...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-25713
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1900686 1900904 1910699
Blocks: 1900687 1939851
TreeView+ depends on / blocked
 
Reported: 2020-11-23 14:24 UTC by Marian Rehak
Modified: 2021-05-18 20:37 UTC (History)
5 users (show)

Fixed In Version: raptor2 2.0.15-27.eln108
Doc Type: If docs needed, set a value
Doc Text:
A malformed input file can lead to a segfault due to an out of bounds array access in raptor_xml_writer_start_element_common.
Clone Of:
Environment:
Last Closed: 2021-05-18 20:37:09 UTC


Attachments (Terms of Use)
our alternative solution (1.17 KB, patch)
2020-11-24 11:20 UTC, Caolan McNamara
no flags Details | Diff

Description Marian Rehak 2020-11-23 14:24:40 UTC
A malformed input file can lead to a segfault due to an out of bounds array access in raptor_xml_writer_start_element_common.

Reference:

https://bugs.mageia.org/show_bug.cgi?id=27605
https://www.openwall.com/lists/oss-security/2020/11/13/1

Comment 1 Marian Rehak 2020-11-23 14:25:16 UTC
Created raptor2 tracking bugs for this issue:

Affects: fedora-all [bug 1900686]

Comment 3 Todd Cullum 2020-11-23 23:50:52 UTC
External References:

https://bugs.librdf.org/mantis/view.php?id=650

Comment 5 Caolan McNamara 2020-11-24 10:22:44 UTC
The proposed fix may be incorrect: https://gerrit.libreoffice.org/c/core/+/106249

Comment 6 Caolan McNamara 2020-11-24 11:20:04 UTC
Created attachment 1732948 [details]
our alternative solution

we think this is the better solution

Comment 8 errata-xmlrpc 2021-05-18 15:30:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:1842 https://access.redhat.com/errata/RHSA-2021:1842

Comment 9 Product Security DevOps Team 2021-05-18 20:37:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-25713


Note You need to log in before you can comment on or make changes to this bug.